CPLUSPLUS_SRC = c++
CMDLINE_SRC = cmdline
GTL_SRC = gtl
GENETICS_SRC = src

CAT = @cat@
CP = @cp@
ECHO = @echo@
MKDIR = @mkdir@
MV = @mv@
RM = @rm@
TAR = @tar@

VERSION = @version@

SUBDIRS =	$(CMDLINE_SRC) $(GTL_SRC) $(CPLUSPLUS_SRC) $(GENETICS_SRC)

all:
	for d in $(SUBDIRS); do \
		( cd $$d; $(MAKE) install ) \
	done

doc:
	( cd doc; $(MAKE) all )

clean:
	$(RM) core *.core *~ *.bak *.out

distclean:	clean inst-distclean src-distclean
	$(RM) Makefile

inst-distclean:
	$(RM) -rf bin include lib libdata libexec

src-distclean:
	for d in $(SUBDIRS); do \
		( cd $$d; if [ -f Makefile ]; then $(MAKE) distclean; fi ) \
	done
